Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590110 - Request for inclusion of patches for VEPA setup support
Summary: Request for inclusion of patches for VEPA setup support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: beta
: ---
Assignee: Dave Allan
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 18:25 UTC by Stefan Berger
Modified: 2016-04-26 14:11 UTC (History)
9 users (show)

Fixed In Version: libvirt-0_8_1-8_el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-25 02:41:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stefan Berger 2010-05-07 18:25:25 UTC
Description of problem:

Support to setup of VEPA, i.e., the setup of the switch, needs a couple more patches that are currently being worked on and are expected to be posted by Monday (May 10, 2010).

Comment 2 RHEL Product and Program Management 2010-05-07 20:04:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Daniel Veillard 2010-05-11 09:23:08 UTC
Okay, once the patches are finalized upstream and applied (hopefully quickly)
we should be able to add them, do we have all the required kernel support
already ?

Daniel

Comment 6 Martin Jenner 2010-05-11 22:49:25 UTC
Red Hat QE does not have VEPA hardware to test this feature so cannot agree to
it's inclusion in RHEL 6.0 as we have no way to test it.

Comment 7 vivk 2010-05-12 00:29:52 UTC
The VEPA function requires the switch to do reflective relay. This can be simulated on a remote Linux host by setting the link in reflective relay mode. 

brctl addif <bridge> <interface>
echo 1 > /sys/class/net/<interface>/brport/hairpin_mode

The VEPA enabled system can then be tested against the Linux host configured as above. 

For the VDP protocol one would need hardware or a 'bridge' implementation to test.

Comment 9 Dave Allan 2010-05-26 14:47:53 UTC
libvirt-0.8.1-7.el6 has been built in RHEL-6-candidate with the fix.

Dave

Comment 11 Stefan Berger 2010-05-28 17:49:14 UTC
Where can this version be downloaded. It's not on DV's website.

Comment 12 Dave Allan 2010-05-28 19:22:48 UTC
DV is on vacation, so I did this build.  You can get src and x86_64 binary rpms at:

http://people.redhat.com/clalance/libvirt-el6/

Let me know if you need any others.

Comment 13 Chris Lalancette 2010-05-28 20:09:36 UTC
According to Stefan (the author of the VEPA patches), there are still missing patches to make VEPA work.  Flipping this back to ASSIGNED so we can pull those patches in.

Chris Lalancette

Comment 14 Stefan Berger 2010-06-03 01:58:48 UTC
To add support for 802.1Qbg and 802.1Qbh to the build, please include the following set of patches:

60881161ea7c05a80af145582fc6659e69a20ef8,libvirt-0.8.1-host-uuid-in-capabilities.patch
a34871d9a5af6d1b20df8057103ad00c33fa6f92,libvirt-0.8.1-libnl-dependency.patch
a8f75d2c7dfb0b3205ed9151971a072d130d0fe2,libvirt-0.8.1-vepa-parse-virtualportxml.patch
8d9c7a93bcbad1cb80134715ebc88f8534e6131e,libvirt-0.8.1-macvtap-build-fix.patch
ca1b7cc8e4592de2ebd15f03eed83213115f811b,libvirt-0.8.1-macvtap-no-targetdev.patch
ca3b22bb5ca77a56abf1793a56bbba1dbe67e403,libvirt-0.8.1-8021Qbg_h_handlers.patch


  Stefan

Comment 15 Laine Stump 2010-06-03 17:35:04 UTC
The following three are already included:

60881161ea7c05a80af145582fc6659e69a20ef8
libvirt-0.8.1-host-uuid-in-capabilities.patch
(as libvirt-0.8.1-expose-host-uuid.patch)

a34871d9a5af6d1b20df8057103ad00c33fa6f92
libvirt-0.8.1-libnl-dependency.patch
(as libvirt-0.8.1-introduce-libnl-dependency.patch)

a8f75d2c7dfb0b3205ed9151971a072d130d0fe2
libvirt-0.8.1-vepa-parse-virtualportxml.patch
(as libvirt-0.8.1-parse-802.1Qbg_bh-xml.patch)

These three have been posted for inclusion in RHEL-6:

8d9c7a93bcbad1cb80134715ebc88f8534e6131e,libvirt-0.8.1-macvtap-build-fix.patch
ca1b7cc8e4592de2ebd15f03eed83213115f811b,libvirt-0.8.1-macvtap-no-targetdev.patch
ca3b22bb5ca77a56abf1793a56bbba1dbe67e403,libvirt-0.8.1-8021Qbg_h_handlers.patch

Comment 16 Dave Allan 2010-06-10 21:34:28 UTC
libvirt-0_8_1-8_el6 has been built in RHEL-6-candidate with the fix.

Dave

Comment 18 Yan Tian 2010-08-25 02:40:45 UTC
Closed this bug based on reporter's comments.


Hi TianYan,

  Bug 590110 has been resolved a while ago from what I can tell. You or one of the owners of libvirt can close it. All 8021Qbg related outstanding bugs would be filed with a new bugreport.

  Bug 605187 had been resolved when the new version of libvirt was built. It can also be closed.

Regards,
   Stefan


Note You need to log in before you can comment on or make changes to this bug.